emacs (1:30.2+1-6ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - Ignore test results, on riscv64 the package builds with tests disabled
      making lot of sources not able to build there due to missing common
      package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jun 2026 08:35:07 +0200

emacs (1:30.2+1-6) unstable; urgency=medium

  * debian/rules: add a monitor loop to override_dh_auto_test that runs
    "pstree $$" every ten minutes to help identify hung tests.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 21 Jun 2026 13:56:09 -0500

emacs (1:30.2+1-5) unstable; urgency=medium

  * debian/control: copy Build-Depends-Arch to Build-Depends-Indep.  Make
    them duplicates since many of the entries are needed for both.
    Ideally we'd avoid the duplication with something like a
    Build-Depends-Clean, but for now just duplicate so we can continue to
    avoid having to install all the build dependencies on the host just
    for sbuild's clean.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 20 Jun 2026 15:49:47 -0500

emacs (1:30.2+1-4ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - Ignore test results, on riscv64 the package builds with tests disabled
      making lot of sources not able to build there due to missing common
      package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jun 2026 07:56:02 +0200

emacs (1:30.2+1-4) unstable; urgency=medium

  [ Rob Browning ]
  * Support Tree-sitter 0.26.
    Add 0027-Support-Tree-sitter-version-0.26-and-later.patch to allow
    building against 0.26.
    Thanks to James McCoy for reporting the problem, and Xiyue Deng for an
    initial backport of the upstream patch. (Closes: 1139544)
  * debian/control: Move relevant build dependencies into
    Build-Depends-Arch and Build-Depends-Indep.  If nothing else, this
    makes it possible to sbuild without having to have all of the deps
    installed (because sbuild cleans on the host, and that only requires
    the Build-Depends).  Thanks to David Bremner for the suggestion.

  [ Xiyue Deng ]
  * Update debian/control and debian/rules to build with GCC 15
    (Closes: 1139445)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 18 Jun 2026 18:40:13 -0500

emacs (1:30.2+1-3) unstable; urgency=high

  [ Sean Whitton ]
  * Remove myself from Uploaders.

  [ Arto Jantunen ]
  * Handle /usr/local/ via dh_usrlocal.  Thanks to Simon McVittie for
    reporting the issue. (Closes: #1127102)

  [ Rob Browning ]
  * Fix an SVG-related vulnerability (CVE-2026-6861)
    Add 0025-src-image.c-svg_load_image-Fix-off-by-one-mistake-bu.patch
    which includes the upstream patch to fix the problem.
    Thanks to Salvatore Bonaccorso for reporting the issue. (Closes: 1134692)
  * Don't run bytecomp-tests--dest-mountpoint where bwrap doesn't work.
    Add 0026-bytecomp-tests-dest-mountpoint-only-run-test-if-bwra.patch to
    address the issue.  Thanks to Santiago Vila for reporting the
    issue. (Closes: 1129189)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 04 May 2026 18:20:35 -0500

emacs (1:30.2+1-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - Ignore test results, on riscv64 the package builds with tests disabled
      making lot of sources not able to build there due to missing common
      package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Nov 2025 21:53:34 +0100

emacs (1:30.2+1-2) unstable; urgency=medium

  [ Rob Browning ]
  * Mark esh-proc-test/kill-pipeline as unstable for now.
    Skip it since it fails sporadically on at least s390x. Add
    0024-Mark-esh-proc-test-kill-pipeline-as-unstable-for-now.patch to
    address the issue.

  [ Sean Whitton ]
  * Boost BASE_PURESIZE further (Closes: #1121058).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 20 Nov 2025 18:22:13 +0000

emacs (1:30.2+1-1ubuntu2) resolute; urgency=medium

  * Ignore test results, on riscv64 the package builds with tests disabled
    making lot of sources not able to build there due to missing common
    package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Nov 2025 17:35:55 +0100

emacs (1:30.2+1-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Nov 2025 08:15:29 +0100

emacs (1:30.2+1-1) unstable; urgency=medium

  * Merge upstream version 30.2
  * Update debian/copyright for 30.2
  * debian/copyright: add entry for emacs_wrench.png.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 09 Nov 2025 16:49:07 -0600

emacs (1:30.1+1-9ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Aug 2025 09:19:50 +0200

emacs (1:30.1+1-9) unstable; urgency=medium

  * Adjust shr-tests/zoom test to work with libxml2 2.14+ Add
    0023-test-lisp-net-shr-tests.el-shr-test-zoom-image-Fix-i.patch to
    address the issue. Thanks to Matthias Klose for reporting the problem.
    (Closes: #1106354)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 24 Aug 2025 20:04:56 -0500

emacs (1:30.1+1-8ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Test build, ignore test results.
    - Disable shr/zoom-image test, fails with libxml2 2.14.x. See LP #2111576.
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Aug 2025 11:50:59 +0200

emacs (1:30.1+1-8) unstable; urgency=medium

  * Upload to unstable.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 10 Aug 2025 10:21:45 +0100

emacs (1:30.1+1-7) experimental; urgency=medium

  * Add & run script to generate Breaks/Replaces/Provides for builtin
    packages during the build (Closes: #1103033).
    Thanks to Xiyue Deng for the script.

  * Backport upstream commit adding builtin packages query interfaces.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 25 Jul 2025 09:37:19 +0100

emacs (1:30.1+1-6ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Test build, ignore test results.
    - Disable shr/zoom-image test, fails with libxml2 2.14.x. See LP #2111576.
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Aug 2025 11:18:35 +0200

emacs (1:30.1+1-6) unstable; urgency=medium

  * Add Breaks/Replaces/Provides for builtin packages in this release.
    See #1103033.  Thanks to Xiyue Deng for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 18 Jul 2025 09:58:11 +0100

emacs (1:30.1+1-5ubuntu6) questing; urgency=medium

  * Test build, ignore test results.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 16:03:05 +0200

emacs (1:30.1+1-5ubuntu4) questing; urgency=medium

  * Disable shr/zoom-image test, fails with libxml2 2.14.x. See LP #2111576.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 12:40:09 +0200

emacs (1:30.1+1-5ubuntu2) questing; urgency=medium

  * No-change rebuild for libtree-sitter0.22.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 07 May 2025 10:08:37 +0100

emacs (1:30.1+1-5ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Mar 2025 07:50:07 +0200

emacs (1:30.1+1-5) unstable; urgency=medium

  * Disable emacs-module-tests.el (Closes: #1101598).
    These regularly cause FTBFS, i.e., more than just this bug report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 30 Mar 2025 13:26:28 +0800

emacs (1:30.1+1-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Mar 2025 08:23:44 +0100

emacs (1:30.1+1-4) unstable; urgency=medium

  * Add "Breaks: dh-elpa-helper (<< 2.1.7)" to flavour binary packages.
    Certain addons fail to byte-compile against Emacs 30 unless the
    newer dh-elpa-helper is made available first.
    It is believed, but not confirmed, that this is due to how the
    latest dh-elpa-helper compiles addons using byte-recompile-directory
    instead of batch-byte-compile.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 06 Mar 2025 18:44:41 +0800

emacs (1:30.1+1-3) unstable; urgency=high

  * Disable server-tests/server-force-stop/keeps-frames on riscv64.

  * README.source: Add tasks for separately-packaged built-in libraries.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 26 Feb 2025 17:32:48 +0800

emacs (1:30.1+1-2) unstable; urgency=high

  * Boost BASE_PURESIZE in attempt to fix build on 32-bit archs.
    Thanks to Xiyue Deng for help testing.

  * Use correct upload urgency given security fixes.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Feb 2025 09:21:24 +0800

emacs (1:30.1+1-1) unstable; urgency=medium

  * Merge upstream version 30.1 (Closes: #1088690, #1098255, #1098780).
    - Fixes CVE-2024-53920 and CVE-2025-1244.
    - Drop obsolete patch disabling flymake included-c-header-files test.

  * d/copyright: Updates for Emacs 30.1.
  * d/rules: Adjust for on-by-default native compilation.
  * d/control: Bump dependencies of 'emacs' metapackage.
  * d/control: Remove build dependency on libjansson-dev.
    This is no longer used by Emacs.

  * Fix eldoc warning in patch adding debian-emacs-flavor (Closes: #1095133).
    Thanks to Xiyue Deng for the report and fix.

  * README.source: Suggest using git-range-diff(1) on patch queues.
  * README.source: Bump version numbers in sample commands.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 24 Feb 2025 17:19:10 +0800

emacs (1:29.4+1-6ubuntu3) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 07:01:30 +0100

emacs (1:29.4+1-6) unstable; urgency=medium

  * Disable native compilation on loong64 (Closes: #1095720).
    Thanks to porter Dandan Zhang.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 12 Feb 2025 08:39:57 +0800

emacs (1:29.4+1-5ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Jan 2025 07:05:00 +0100

emacs (1:29.4+1-5) unstable; urgency=medium

  * Update to GCC 14 (Closes: #1092655).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 13 Jan 2025 08:45:01 +0000

emacs (1:29.4+1-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Dec 2024 17:42:02 +0100

emacs (1:29.4+1-4) unstable; urgency=medium

  * 00debian.el: Mark file with 'lexical-binding: t'.
  * 00debian.el: Use setopt, not setq.
  
  * Suggest emacs-editing-major-modes.
  
  * Disable flymake included-c-header-files test to fix build with
    gcc-14 (Closes: #1074936).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 08 Dec 2024 13:38:47 +0800

emacs (1:29.4+1-3ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Jul 2024 08:16:03 +0200

emacs (1:29.4+1-3) unstable; urgency=high

  * Mark dired-test-bug27243-02 as unstable for now.
    This appears to be a known issue:
      https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27243#64
      https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27243#115
    Add 0017-Mark-dired-test-bug27243-02-as-unstable-for-now.patch to
    address it.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 29 Jun 2024 15:46:01 -0500

emacs (1:29.4+1-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jun 2024 11:43:29 +0200

emacs (1:29.4+1-2) unstable; urgency=medium

  * Minor edits to README.source.
  * Merge divergent branches of development.
    These were accidentally introduced by the previous upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Jun 2024 13:20:34 +0800

emacs (1:29.4+1-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jun 2024 11:42:49 +0200

emacs (1:29.4+1-1) unstable; urgency=medium

  * Merge upstream version 29.4. (Closes: 1074137)
  * Update debian/copyright for 29.4.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 24 Jun 2024 19:34:05 -0500

emacs (1:29.3+1-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 May 2024 10:06:22 +0200

emacs (1:29.3+1-3) unstable; urgency=medium

  [ Sean Whitton ]
  * README.source: document our workflows.

  [ Rob Browning ]
  * README.source: add rationale.

  [ Xiyue Deng ]
  * Only install the GSettings schema in the pgtk build.  Move
    /usr/share/glib-2.0/schemas/org.gnu.emacs.defaults.gschema.xml from
    emacs-common to emacs-pgtk so that it won't trigger the addition of a
    gsettings dependency for flavors that don't use it. (Closes: 1050393)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 15 May 2024 00:37:47 -0500

emacs (1:29.3+1-2ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 14:51:52 +0200

emacs (1:29.3+1-2) unstable; urgency=medium

  * Change native-comp-async-report-warnings-errors to `silent'.

  * d/rules: Enable running tests concurrently.
    Thanks Arto Jantunen for the patch.

  * Fix installation of desktop files for emacs-nox.
    Thanks to Brendan O'Dea for the report and fix. (Closes: #1069294)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Apr 2024 07:52:47 +0100

emacs (1:29.3+1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:18:56 +1100

emacs (1:29.3+1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Mar 2024 14:54:42 +0100

emacs (1:29.3+1-1) unstable; urgency=high

  * Merge upstream version 29.3.  Thanks to David Bremner for the
    report. (Closes: 1067630)

  * Update debian/copyright for 29.3

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 24 Mar 2024 16:30:50 -0500

emacs (1:29.2+1-2) unstable; urgency=medium

  * Fix Breaks/Replaces by prepending missing epoch (Closes: #1064851)

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 27 Feb 2024 09:26:29 +0800

emacs (1:29.2+1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Feb 2024 21:10:39 +0100

emacs (1:29.2+1-1) unstable; urgency=medium

  [ Rob Browning ]
  * Give each Emacs flavor its own emacsclient.
    Move emacsclient from emacs-bin-common to the emacsVER (i.e.
    emacs-lucid, emacs-gtk, ...) packages so that each one will have the
    binary that was built for that flavor.

    Explicitly list the variant and common bin alternatives instead of
    globbing.  Add the alternatives variables to deb_sub so we don't need
    the separate perl -i substitutions.

    Stop splitting some of the debian/rules $(call ...) invocations across
    two lines because it was introducing a space into the argument value
    which would then break quoted expansions like "$(1)...".

    Thanks to Wang Yizhen & others for discussion.
    Closes: #1050953.  See also: #1043060.

  * Generate README.Debian from patch README-Debian psuedo-headers.

    Rework debian/patch-to-news to generate the README.Debian entry from a
    README-Debian DEP-3-style psuedo-header, when present.  The header's
    syntax is similar to the debian/control Description format.  Among
    other things, this change makes the common case of cherry-picking
    upstream patches easier, and less invasive, since in many cases, a
    simple README-Debian header can be appended while adding the other
    headers, instead of (as previously) reindenting the upstream commit, etc.

  * Adjust debian/patches for the new patch-to-news.

  * debian/emacs-common.README.in: drop vestigial ".elc removal" notice.
    Long irrelevant since switching to base the packaging on the upstream
    source repository.

  * debian/emacs-common.README.in: match NEWS mode/format vars.

  [ Sean Whitton ]
  * Merge upstream version 29.2.

  * debian/control: Add Breaks/Replaces for emacsclient package move.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 26 Feb 2024 16:55:58 +0800

emacs (1:29.1+1-5ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2023 12:03:23 +0200

emacs (1:29.1+1-5) unstable; urgency=medium

  * Don't try to build with native compilation on riscv64 (Closes: #1050653).
    Thanks to Aurelien Jarno and Bo YU.

  * Change native-comp-async-jobs-number default to 1 (Closes: #1050577).

  * d/rules: Re-encode in UTF-8.

  * d/copyright: Standardise continuation lines.

  * d/compat: Replace with debhelper-compat build-dep.
  * d/control: Update build-dep libncurses5-dev -> libncurses-dev.
  * d/control emacs-common: Comment out redundant Recommends of emacs-el.
  * d/control emacs-common: Drop some very old Breaks emacsNN entries.

  * Fix binary-without-manpage Lintian overrides.
  * Add two Lintian overrides.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 30 Aug 2023 08:53:05 +0100

emacs (1:29.1+1-4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - d/rules: set native compilation on riscv64 instead of using gcc-12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Aug 2023 08:59:23 +0200

emacs (1:29.1+1-4) unstable; urgency=medium

  * Take emacs-el from the pgtk build too to fix arch:all-only build.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 23 Aug 2023 14:33:41 +0100

emacs (1:29.1+1-3) unstable; urgency=medium

  * Take emacs-bin-common binaries from the pgtk build (Closes: #1043060).
    Use the pgtk build to populate emacs-common too, for simplicity.
    Thanks to Arto Jantunen for investigation and discussion.

  * d/rules: Set TERM to avoid a build failure (Closes: #1043006).
    Thanks to Gianfranco Costamagna for the report and fix.

  * d/rules: Fix dh_listpackages test for emacs-pgtk.

  * override_dh_auto_install: Delete $(install_dir_pgtk) too.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 23 Aug 2023 10:15:43 +0100

emacs (1:29.1+1-2ubuntu2) mantic; urgency=medium

  * set gcc-12 on riscv64 to fix a build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Aug 2023 23:58:33 +0200

emacs (1:29.1+1-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - set TERM to linux to avoid test failures with unknown terminal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Aug 2023 01:28:59 +0200

emacs (1:29.1+1-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 01 Aug 2023 19:24:27 +0100

emacs (1:29.1+1-1) unstable; urgency=medium

  * Merge upstream version 29.1.
    - d/rules: Update for new name of emacs.pdmp.
    - debian/upstream-version: Update regexp to find Emacs 29.1's AC_INIT.

  * Add new emacs-pgtk binary package for the PGTK port.

  * d/control: Add build-deps on libsqlite3, libtree-sitter and libwebp.

  * Patch project-vc-recognizes-git test for Debian build.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 31 Jul 2023 09:28:10 +0100

emacs (1:28.2+1-16ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:56:19 +0200

emacs (1:28.2+1-16) unstable; urgency=medium

  * Switch to gcc-13 & restore versioned gcc build-dep (Closes: #1042185).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 29 Jul 2023 10:31:54 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog emacs`.
